/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/components/ids-mask/ids-mask-common.ts
var EMPTY_STRING = "";
var PLACEHOLDER_CHAR = "_";
var CARET_TRAP = "[]";
var NON_DIGITS_REGEX = /[^\u0660-\u06690-9\u0966-\u096F\u2E80-\u2FD5\u3190-\u319f\u3400-\u4DBF\u4E00-\u9FCC\uF900-\uFAAD]/g;
var DIGITS_REGEX = /[\u0660-\u06690-9\u0966-\u096F\u2E80-\u2FD5\u3190-\u319f\u3400-\u4DBF\u4E00-\u9FCC\uF900-\uFAAD]/;
var ALPHAS_REGEX = /[\u00C0-\u017Fa-zA-Z]/;
var ANY_REGEX = /[\u00C0-\u017Fa-zA-Z0-9]/;
var DEFAULT_CONFORM_OPTIONS = {
  caretTrapIndexes: [],
  guide: false,
  previousMaskResult: EMPTY_STRING,
  placeholderChar: PLACEHOLDER_CHAR,
  placeholder: EMPTY_STRING,
  selection: {
    start: 0
  },
  keepCharacterPositions: false
};
function convertPatternFromString(pattern) {
  if (typeof pattern !== "string" || !pattern.length) {
    return void 0;
  }
  const firstChar = pattern.charAt(0);
  const lastChar = pattern.charAt(pattern.length - 1);
  if (firstChar === "[" && lastChar === "]") {
    const patternArray = pattern.substring(1, pattern.length - 1).split(/, ?/g);
    return patternArray.map((item) => {
      if (["'", '"'].includes(item.charAt(0))) {
        return item.substring(1, item.length - 1);
      }
      return new RegExp(item.substring(1, item.length - 1));
    });
  }
  return void 0;
}

export {
  EMPTY_STRING,
  PLACEHOLDER_CHAR,
  CARET_TRAP,
  NON_DIGITS_REGEX,
  DIGITS_REGEX,
  ALPHAS_REGEX,
  ANY_REGEX,
  DEFAULT_CONFORM_OPTIONS,
  convertPatternFromString
};
//# sourceMappingURL=ids-chunk-2GKEPJIA-full.js.map
