/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  attributes
} from "./ids-chunk-QQAXKC5H-full.js";

// src/components/ids-date-picker/ids-date-picker-common.ts
var IdsDatePickerCommonAttributes = [
  attributes.DAY,
  attributes.FIRST_DAY_OF_WEEK,
  attributes.FORMAT,
  attributes.IS_CALENDAR_TOOLBAR,
  attributes.IS_DROPDOWN,
  attributes.MINUTE_INTERVAL,
  attributes.MONTH,
  attributes.RANGE_SETTINGS,
  attributes.SECOND_INTERVAL,
  attributes.SHOW_CANCEL,
  attributes.SHOW_CLEAR,
  attributes.SHOW_PICKLIST_MONTH,
  attributes.SHOW_PICKLIST_WEEK,
  attributes.SHOW_PICKLIST_YEAR,
  attributes.SHOW_TODAY,
  attributes.USE_CURRENT_TIME,
  attributes.USE_RANGE,
  attributes.VALUE,
  attributes.YEAR
];
var MIN_MONTH = 0;
var MAX_MONTH = 11;
var MONTH_KEYS = ["Jan", "Feb", "Mar", "Apr", "May", "June", "July", "Aug", "Sep", "Oct", "Nov", "Dec"];
var PICKLIST_LENGTH = 6;
var getDateValuesFromString = (val) => {
  if (!val) return { month: 0, day: 1, year: (/* @__PURE__ */ new Date()).getFullYear() };
  const date = new Date(val);
  const month = date.getMonth();
  const year = date.getFullYear();
  const day = date.getDate();
  return { month, day, year };
};

export {
  IdsDatePickerCommonAttributes,
  MIN_MONTH,
  MAX_MONTH,
  MONTH_KEYS,
  PICKLIST_LENGTH,
  getDateValuesFromString
};
//# sourceMappingURL=ids-chunk-2PFLI6BC-full.js.map
