/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  stringToBool
} from "./ids-chunk-REOQKPVR-full.js";
import {
  attributes
} from "./ids-chunk-QQAXKC5H-full.js";

// src/mixins/ids-hitbox-mixin/ids-hitbox-mixin.ts
var IdsHitboxMixin = (superclass) => class extends superclass {
  constructor(...args) {
    super(...args);
  }
  static get attributes() {
    return [
      ...superclass.attributes,
      attributes.HITBOX
    ];
  }
  connectedCallback() {
    super.connectedCallback?.();
    this.#setHitbox();
  }
  /**
   * Sets the checkbox to add hitbox style.
   * @param {boolean|string} value If true, it will apply the hitbox stylings.
   */
  set hitbox(value) {
    const val = stringToBool(value);
    if (val) {
      this.setAttribute(attributes.HITBOX, val.toString());
    } else {
      this.removeAttribute(attributes.HITBOX);
    }
    this.#setHitbox();
  }
  get hitbox() {
    return this.getAttribute(attributes.HITBOX);
  }
  #setHitbox() {
    this.container?.classList.toggle(attributes.HITBOX, Boolean(this.hitbox));
  }
};
var ids_hitbox_mixin_default = IdsHitboxMixin;

export {
  ids_hitbox_mixin_default
};
//# sourceMappingURL=ids-chunk-42ZYJBIW-full.js.map
