/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  attributes
} from "./ids-chunk-QQAXKC5H-full.js";

// src/components/ids-popup/ids-popup-attributes.ts
var CENTER = "center";
var DEFAULT_ALIGN_EDGE = CENTER;
var ALIGNMENT_EDGES = [CENTER, "bottom", "top", "left", "right"];
var ALIGNMENTS_X = [CENTER, "left", "right"];
var ALIGNMENTS_Y = [CENTER, "top", "bottom"];
var ALIGNMENTS_EDGES_X = ALIGNMENTS_X.filter((x) => x !== CENTER);
var ALIGNMENTS_EDGES_Y = ALIGNMENTS_Y.filter((y) => y !== CENTER);
var ANIMATION_STYLES = [
  "fade",
  "scale-in",
  "slide-from-bottom"
];
var ARROW_TYPES = ["none", "bottom", "top", "left", "right"];
var POSITION_STYLES = ["fixed", "absolute", "viewport"];
var TYPES = [
  "none",
  "menu",
  "menu-alt",
  "modal",
  "tooltip",
  "tooltip-alt",
  "custom",
  "dropdown",
  "module-nav"
];
var POPUP_PROPERTIES = [
  attributes.ALIGN,
  attributes.ALIGN_X,
  attributes.ALIGN_Y,
  attributes.ALIGN_EDGE,
  attributes.ALIGN_TARGET,
  attributes.ARROW,
  attributes.ARROW_TARGET,
  attributes.CENTER_ON_OVERFLOW,
  attributes.CLOSE_ON_SCROLL,
  attributes.ANIMATED,
  attributes.ANIMATION_STYLE,
  attributes.BLEED,
  attributes.HEIGHT,
  attributes.KEEP_OPEN,
  attributes.MAX_HEIGHT,
  attributes.OFFSET_CONTAINER,
  attributes.POSITION_STYLE,
  attributes.TYPE,
  attributes.VISIBLE,
  attributes.WIDTH,
  attributes.X,
  attributes.Y
];
var POPUP_MAXHEIGHT_PROPNAME = "--ids-popup-maxheight";
function formatAlignAttribute(alignX, alignY, edge) {
  if (ALIGNMENTS_EDGES_Y.includes(edge)) {
    if (!alignX || !alignX.length || alignX === CENTER) {
      return `${edge}`;
    }
    return `${edge}, ${alignX}`;
  }
  if (!alignY || !alignY.length || alignY === CENTER) {
    return `${alignX}`;
  }
  if (edge === CENTER) {
    return `${alignY}`;
  }
  return `${edge}, ${alignY}`;
}
function onPlace(popupRect) {
  return popupRect;
}

export {
  CENTER,
  DEFAULT_ALIGN_EDGE,
  ALIGNMENT_EDGES,
  ALIGNMENTS_X,
  ALIGNMENTS_Y,
  ALIGNMENTS_EDGES_X,
  ALIGNMENTS_EDGES_Y,
  ANIMATION_STYLES,
  ARROW_TYPES,
  POSITION_STYLES,
  TYPES,
  POPUP_PROPERTIES,
  POPUP_MAXHEIGHT_PROPNAME,
  formatAlignAttribute,
  onPlace
};
//# sourceMappingURL=ids-chunk-4WC5DSZI-full.js.map
