/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  IdsDeferred
} from "./ids-chunk-32V6AIKW-full.js";
import {
  ids_personalize_default
} from "./ids-chunk-WUTEO7FZ-full.js";
import {
  ids_locale_default
} from "./ids-chunk-KNIQC2IS-full.js";
import {
  version
} from "./ids-chunk-QQAXKC5H-full.js";

// src/components/ids-global/ids-global.ts
if (typeof window !== "undefined") {
  window.IdsGlobal ??= {
    version,
    personalize: new ids_personalize_default(),
    themeName: "",
    themePath: ""
  };
}
var IdsGlobal = class _IdsGlobal {
  /**
   *  Used to hold the single Locale instance
   * @returns {IdsLocale} the locale object
   */
  static getLocale() {
    if (!window.IdsGlobal.locale) {
      window.IdsGlobal.locale = new ids_locale_default();
    }
    return window.IdsGlobal.locale;
  }
  /**
   *  Used for a global theme event
   * @returns {IdsDeferred} the deferred object
   */
  static onThemeLoaded() {
    if (!window.IdsGlobal.themeLoaded) {
      window.IdsGlobal.themeLoaded = new IdsDeferred();
    }
    return window.IdsGlobal.themeLoaded;
  }
  static get personalize() {
    return window.IdsGlobal.personalize;
  }
  static get version() {
    return _IdsGlobal.version;
  }
  /* Used to set the theme name */
  static get themeName() {
    return window.IdsGlobal.themeName || "";
  }
  static set themeName(value) {
    window.IdsGlobal.themeName = value;
  }
  /* Used to correct the theme path to a specific place */
  static get themePath() {
    return window.IdsGlobal.themePath || "";
  }
  static set themePath(value) {
    window.IdsGlobal.themePath = value;
  }
  /* Used to hold custom icon json */
  static set customIconData(json) {
    window.IdsGlobal.customIconData = json;
  }
  static get customIconData() {
    return window.IdsGlobal.customIconData;
  }
};
var ids_global_default = IdsGlobal;

export {
  ids_global_default
};
//# sourceMappingURL=ids-chunk-BH5K2RGQ-full.js.map
