/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/utils/ids-debounce-utils/ids-debounce-utils.ts
function debounce(func, threshold, execAsap) {
  let timeout;
  return function debounced(...args) {
    const obj = this;
    const path = args[0]?.composedPath?.();
    if (path?.length) args[0].orignPath = path;
    const delayed = () => {
      if (!execAsap) {
        func.apply(obj, args);
      }
      timeout = null;
    };
    if (timeout) {
      clearTimeout(timeout);
    } else if (execAsap) {
      func.apply(obj, args);
    }
    timeout = setTimeout(delayed, threshold || 250);
  };
}

export {
  debounce
};
//# sourceMappingURL=ids-chunk-BMFYSQO7-full.js.map
