/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  getClosestRootNode
} from "./ids-chunk-LQYSVESW-full.js";

// src/components/ids-menu/ids-menu-attributes.ts
var MENU_GROUP_SELECT_TYPES = [
  "none",
  "single",
  "multiple"
];
var MENU_DEFAULTS = {
  disabled: false,
  icon: null,
  selected: false,
  shortcutKeys: null,
  submenu: null,
  tabIndex: 0,
  value: null
};
function safeForAttribute(value) {
  return value !== null && ["string", "number", "boolean"].includes(typeof value);
}
function isValidGroup(menuGroup, idsMenu) {
  let hasGroup;
  const isGroup = menuGroup !== void 0 && menuGroup.nodeName === "IDS-MENU-GROUP";
  idsMenu.groups.forEach((group) => {
    if (isGroup && group.isEqualNode(menuGroup) || group?.id === menuGroup) {
      hasGroup = group;
    }
  });
  return hasGroup;
}
function isUsableItem(item, idsMenu) {
  if (item === null) {
    return false;
  }
  const isItem = item?.nodeName === "IDS-MENU-ITEM" || "IDS-SUB-TAB";
  if (!isItem) {
    return false;
  }
  const menuHasItem = idsMenu.contains(item);
  const closestItemRoot = getClosestRootNode(item.assignedSlot);
  const itemInMenuShadow = closestItemRoot?.menu?.isEqualNode(idsMenu);
  return (itemInMenuShadow || menuHasItem) && !item.disabled;
}

export {
  MENU_GROUP_SELECT_TYPES,
  MENU_DEFAULTS,
  safeForAttribute,
  isValidGroup,
  isUsableItem
};
//# sourceMappingURL=ids-chunk-CRFEGDVZ-full.js.map
