/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/utils/ids-number-utils/ids-number-utils.ts
var isValidInteger = (value, options = {}) => {
  if (value === null || value === void 0 || value === "") {
    return false;
  }
  const num = typeof value === "number" ? value : parseInt(value, 10);
  if (Number.isNaN(num) || !Number.isInteger(num)) {
    return false;
  }
  if (options.min !== void 0 && num < options.min) {
    return false;
  }
  if (options.max !== void 0 && num > options.max) {
    return false;
  }
  return true;
};

export {
  isValidInteger
};
//# sourceMappingURL=ids-chunk-E4A5L6ZU-full.js.map
