/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/utils/ids-deep-clone-utils/ids-deep-clone-utils.ts
var refs = [];
var refsNew = [];
function deepCloneArray(arr, fn) {
  const keys = Object.keys(arr);
  const arrClone = new Array(keys.length);
  for (let i = 0; i < keys.length; i += 1) {
    const k = keys[i];
    const cur = arr[k];
    if (typeof cur !== "object" || cur === null) {
      arrClone[k] = cur;
    } else if (cur instanceof Date) {
      arrClone[k] = new Date(cur);
    } else {
      const index = refs.indexOf(cur);
      if (index !== -1) {
        arrClone[k] = refsNew[index];
      } else {
        arrClone[k] = fn.call(this, cur);
      }
    }
  }
  return arrClone;
}
function deepClone(obj) {
  if (typeof obj !== "object" || obj === null) {
    return obj;
  }
  if (obj instanceof Date) {
    return new Date(obj);
  }
  if (Array.isArray(obj)) {
    return deepCloneArray(obj, deepClone);
  }
  const objClone = {};
  refs.push(obj);
  refsNew.push(objClone);
  for (const k in obj) {
    if (Object.hasOwnProperty.call(obj, k) === false) {
      continue;
    }
    const cur = obj[k];
    if (typeof cur !== "object" || cur === null) {
      objClone[k] = cur;
    } else if (cur instanceof Date) {
      objClone[k] = new Date(cur);
    } else {
      const i = refs.indexOf(cur);
      if (i !== -1) {
        objClone[k] = refsNew[i];
      } else {
        objClone[k] = deepClone(cur);
      }
    }
  }
  refs.pop();
  refsNew.pop();
  return objClone;
}

export {
  deepCloneArray,
  deepClone
};
//# sourceMappingURL=ids-chunk-G6C62L35-full.js.map
