/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  attributes
} from "./ids-chunk-QQAXKC5H-full.js";

// src/components/ids-layout-grid/ids-layout-grid-common.ts
var prefix = "ids-layout-grid";
var GRID_ATTRIBUTES = [
  attributes.ALIGN_CONTENT,
  attributes.ALIGN_ITEMS,
  attributes.AUTO_FIT,
  attributes.AUTO_FILL,
  attributes.COL_GAP,
  attributes.COLS,
  attributes.COLS_XS,
  attributes.COLS_SM,
  attributes.COLS_MD,
  attributes.COLS_LG,
  attributes.COLS_XL,
  attributes.COLS_XXL,
  attributes.ENABLE_CONTAINER,
  attributes.FLOW,
  attributes.GAP,
  attributes.HEIGHT,
  attributes.JUSTIFY_CONTENT,
  attributes.MARGIN,
  attributes.MARGIN_Y,
  attributes.MAX_COL_WIDTH,
  attributes.MIN_COL_WIDTH,
  attributes.MAX_ROW_HEIGHT,
  attributes.MIN_ROW_HEIGHT,
  attributes.MAX_WIDTH,
  attributes.PADDING,
  attributes.PADDING_X,
  attributes.PADDING_Y,
  attributes.ROW_GAP,
  attributes.ROW_HEIGHT,
  attributes.ROWS,
  attributes.ROWS_XS,
  attributes.ROWS_SM,
  attributes.ROWS_MD,
  attributes.ROWS_LG,
  attributes.ROWS_XL,
  attributes.ROWS_XXL,
  attributes.TEMPLATE_ROWS
];
var GRID_CELL_ATTRIBUTES = [
  attributes.ALIGN_CONTENT,
  attributes.COL_END,
  attributes.COL_END_XS,
  attributes.COL_END_SM,
  attributes.COL_END_MD,
  attributes.COL_END_LG,
  attributes.COL_END_XL,
  attributes.COL_END_XXL,
  attributes.COL_SPAN,
  attributes.COL_SPAN_XS,
  attributes.COL_SPAN_SM,
  attributes.COL_SPAN_MD,
  attributes.COL_SPAN_LG,
  attributes.COL_SPAN_XL,
  attributes.COL_SPAN_XXL,
  attributes.COL_START,
  attributes.COL_START_XS,
  attributes.COL_START_SM,
  attributes.COL_START_MD,
  attributes.COL_START_LG,
  attributes.COL_START_XL,
  attributes.COL_START_XXL,
  attributes.EDITABLE,
  attributes.FILL,
  attributes.HEIGHT,
  attributes.HIDE,
  attributes.JUSTIFY_CONTENT,
  attributes.MIN_HEIGHT,
  attributes.PADDING,
  attributes.ORDER,
  attributes.ORDER_XS,
  attributes.ORDER_SM,
  attributes.ORDER_MD,
  attributes.ORDER_LG,
  attributes.ORDER_XL,
  attributes.ORDER_XXL,
  attributes.ROW_SPAN,
  attributes.ROW_SPAN_XS,
  attributes.ROW_SPAN_SM,
  attributes.ROW_SPAN_MD,
  attributes.ROW_SPAN_LG,
  attributes.ROW_SPAN_XL,
  attributes.ROW_SPAN_XXL,
  attributes.STICKY,
  attributes.STICKY_POSITION
];
var GAP_TYPES = [
  void 0,
  "none",
  "sm",
  "md",
  "lg",
  "xl"
];
var ALIGN_ITEMS = [
  "start",
  "end",
  "center",
  "stretch"
];
var ALIGN_TYPES = [
  void 0,
  "space-around",
  "space-between",
  "center",
  "end",
  "space-evenly",
  "start"
];
var FLOW_TYPES = [
  void 0,
  "row",
  "column",
  "dense",
  "row-dense",
  "column-dense"
];
var MARGIN_SIZES = [
  void 0,
  "xs",
  "sm",
  "md",
  "lg",
  "xl",
  "auto"
];
var PADDING_SIZES = [
  void 0,
  "xxs",
  "xs",
  "sm",
  "md",
  "lg",
  "xl"
];
var MAX_WIDTH_SIZES = [
  void 0,
  "xs",
  "sm",
  "md",
  "lg",
  "xl",
  "xxl"
];

export {
  prefix,
  GRID_ATTRIBUTES,
  GRID_CELL_ATTRIBUTES,
  GAP_TYPES,
  ALIGN_ITEMS,
  ALIGN_TYPES,
  FLOW_TYPES,
  MARGIN_SIZES,
  PADDING_SIZES,
  MAX_WIDTH_SIZES
};
//# sourceMappingURL=ids-chunk-H34JQFUN-full.js.map
