/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/utils/ids-draggable-utils/ids-draggable-utils.ts
function getElTranslatePoint(element) {
  const style = window.getComputedStyle(element);
  const matrix = style.transform;
  if (matrix === "none" || !matrix) {
    return { x: 0, y: 0, z: 0 };
  }
  const matrixType = matrix.includes("3d") ? "3d" : "2d";
  const matrixValues = matrix.match(/matrix.*\((.+)\)/)?.[1]?.split(", ");
  if (!matrixValues) {
    return { x: 0, y: 0, z: 0 };
  }
  if (matrixType === "2d") {
    return {
      x: Number.parseFloat(matrixValues[4]),
      y: Number.parseFloat(matrixValues[5]),
      z: 0
    };
  }
  return {
    x: parseFloat(matrixValues[12]),
    y: parseFloat(matrixValues[13]),
    z: parseFloat(matrixValues[14])
  };
}

export {
  getElTranslatePoint
};
//# sourceMappingURL=ids-chunk-HKGBG7BZ-full.js.map
