/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  ids_global_default
} from "./ids-chunk-BH5K2RGQ-full.js";
import {
  attributes
} from "./ids-chunk-QQAXKC5H-full.js";

// src/mixins/ids-locale-mixin/ids-locale-mixin.ts
var IdsLocaleMixin = (superclass) => class extends superclass {
  constructor(...args) {
    super(...args);
  }
  get localeAPI() {
    return ids_global_default.getLocale();
  }
  connectedCallback() {
    super.connectedCallback?.();
    const language = this.localeAPI.language.name;
    const locale = this.localeAPI.name;
    if (language !== "en") this.setAttribute("language", language);
    if (locale !== "en-US") this.setAttribute("locale", locale);
    if (language === "ar" || language === "he") {
      this.setAttribute("dir", "rtl");
    }
  }
  static get attributes() {
    return [
      ...superclass.attributes,
      attributes.LANGUAGE,
      attributes.LOCALE
    ];
  }
  /**
   * Set the locale name for a component
   * @param {string} value The locale string value
   */
  set locale(value) {
    if (value && value !== this.localeAPI.name && typeof value === "string") {
      this.localeAPI.setLocale(value, false);
    }
  }
  get locale() {
    return this.localeAPI.state.localeName;
  }
  /**
   * Set the language for a component
   * @param {string} value The language string value
   */
  set language(value) {
    if (value && value !== this.language.name) {
      this.localeAPI.setLanguage(value);
    }
  }
  /**
   * Get the language data keys and message for the current language
   * @returns {object} The language data object
   */
  get language() {
    return {
      name: this.getAttribute("language") || "en",
      messages: this?.localeAPI?.language.messages
    };
  }
};
var ids_locale_mixin_default = IdsLocaleMixin;

export {
  ids_locale_mixin_default
};
//# sourceMappingURL=ids-chunk-I5KDLKR6-full.js.map
