/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/components/ids-axis-chart/ids-pattern-data.ts
var patternData = {
  "arrows": '<pattern id="arrows" patternUnits="userSpaceOnUse" width="4" height="4"><path d="M1 1V3H2V2H3V1H1Z" fill="#000000"/></pattern>',
  "boxes": '<pattern id="boxes" patternUnits="userSpaceOnUse" width="4" height="4"><path fill="transparent" d="M0 0h4v4H0z"/><path d="M3 0h1v4H3V0ZM0 3h3v1H0V3Z" fill="#000000"/></pattern>',
  "checkers": '<pattern id="checkers" patternUnits="userSpaceOnUse" width="4" height="4"><path fill="transparent" d="M0 0h4v4H0z"/><path d="M0 0v1h1v1h1v1h1v1h1V3H3V2H2V1H1V0H0Z" fill="#000000"/><path d="M4 0H3v1H2v1H1v1H0v1h1V3h1V2h1V1h1V0Z" fill="#000000"/></pattern>',
  "patches": '<pattern id="patches" patternUnits="userSpaceOnUse" width="4" height="4"><path fill="transparent" d="M0 0h4v4H0z"/><path fill-rule="evenodd" clip-rule="evenodd" d="M2 3a1 1 0 1 0 0-2 1 1 0 0 0 0 2Zm0 1a2 2 0 1 0 0-4 2 2 0 0 0 0 4Z" fill="#000000"/></pattern>',
  "circles": '<pattern id="circles" patternUnits="userSpaceOnUse" width="4" height="4"><path fill="transparent" d="M0 0h4v4H0z"/><circle cx="2.5" cy="2.5" r="1.5" fill="#000000"/></pattern>',
  "exes": '<pattern id="exes" patternUnits="userSpaceOnUse" width="8" height="8"><path fill="transparent" d="M0 0h8v8H0z"/><path d="M1 1h1v1H1V1ZM2 2h1v1H2V2ZM3 3h1v1H3V3ZM4 4h1v1H4V4ZM6 5H5v1h1V5ZM7 6H6v1h1V6ZM2 6H1v1h1V6ZM3 5H2v1h1V5ZM4 4H3v1h1V4ZM5 3H4v1h1V3ZM6 2H5v1h1V2ZM7 1H6v1h1V1Z" fill="#000000"/></pattern>',
  "diamonds": '<pattern id="diamonds" patternUnits="userSpaceOnUse" width="8" height="8"><path fill="transparent" d="M0 0h8v8H0z"/><path d="M3 0h1v1H3V0ZM1 2h1v1H1V2ZM2 1h1v1H2V1ZM0 3h1v1H0V3ZM0 4h1v1H0V4ZM2 6h1v1H2V6ZM1 5h1v1H1V5ZM3 7h1v1H3V7ZM4 7h1v1H4V7ZM6 5h1v1H6V5ZM5 6h1v1H5V6ZM7 4h1v1H7V4ZM7 3h1v1H7V3ZM5 1h1v1H5V1ZM6 2h1v1H6V2ZM4 0h1v1H4V0Z" fill="#000000"/></pattern>',
  "dots": '<pattern id="dots" patternUnits="userSpaceOnUse" width="4" height="4"><path fill="transparent" d="M0 0h4v4H0z"/><path d="M0 0h1v1H0V0ZM2 2h1v1H2V2Z" fill="#000000"/></pattern>',
  "stars": '<pattern id="stars" patternUnits="userSpaceOnUse" width="8" height="8"><path fill="transparent" d="M0 0h8v8H0z"/><path d="M0 0h1v1H0V0ZM7 7h1v1H7V7ZM7 0h1v1H7V0ZM0 7h1v1H0V7ZM3 3h2v2H3V3Z" fill="#000000"/></pattern>',
  "mixed": '<pattern id="mixed" patternUnits="userSpaceOnUse" width="4" height="4"><path fill="transparent" d="M0 0h8v8H0z"/><path d="M0 0h1v1H0V0ZM7 7h1v1H7V7ZM3 3h2v2H3V3Z" fill="#000000"/></pattern>',
  "squares": '<pattern id="squares" patternUnits="userSpaceOnUse" width="8" height="8"><path fill="transparent" d="M0 0h8v8H0z"/><path d="M3 0h2v2H3V0ZM3 6h2v2H3V6ZM0 3h2v2H0V3ZM6 3h2v2H6V3Z" fill="#000000"/></pattern>',
  "hex": '<pattern id="hex" patternUnits="userSpaceOnUse" width="8" height="8"><path fill="transparent" d="M0 0h4v4H0z"/><path fill-rule="evenodd" clip-rule="evenodd" d="m2 .599 1.416 2.124-.832.554L2 2.401l-.584.876-.832-.554L2 .599Z" fill="#000000"/></pattern>',
  "big-hex": '<pattern id="big-hex" patternUnits="userSpaceOnUse" width="8" height="8"><path fill="transparent" d="M0 0h4v4H0z"/><path fill-rule="evenodd" clip-rule="evenodd" d="m2.845 2-.422-.732h-.846L1.155 2l.422.732h.846L2.845 2ZM3 3.732 4 2 3 .268H1L0 2l1 1.732h2Z" fill="#000000"/></pattern>',
  "intersect": '<pattern id="intersect" patternUnits="userSpaceOnUse" width="8" height="8"><path fill="transparent" d="M0 0h8v8H0z"/><path d="M1 1h1v1H1V1ZM2 2h1v1H2V2ZM3 3h1v1H3V3ZM4 4h1v1H4V4ZM6 5H5v1h1V5ZM7 6H6v1h1V6ZM2 6H1v1h1V6ZM3 5H2v1h1V5ZM6 2H5v1h1V2ZM7 1H6v1h1V1ZM0 7h1v1H0V7Z" fill="#000000"/></pattern>',
  "lines": '<pattern id="lines" patternUnits="userSpaceOnUse" width="4" height="4"><path fill="transparent" d="M0 0h4v4H0z"/><path d="M4 0H3v1H2v1H1v1H0v1h1V3h1V2h1V1h1V0Z" fill="#000000"/></pattern>',
  "bars": '<pattern id="bars" patternUnits="userSpaceOnUse" width="8" height="8"><path fill="transparent" d="M0 0h8v8H0z"/><path d="M8 1H7V0h1v1ZM6 2V1h1v1H6ZM5 3h1V2H5v1ZM4 4h1V3H4v1ZM3 5h1V4H3v1ZM2 6h1V5H2v1ZM1 7h1V6H1v1ZM1 7H0v1h1V7Z" fill="#000000"/></pattern>',
  "pipes": '<pattern id="pipes" patternUnits="userSpaceOnUse" width="4" height="4"><path fill="transparent" d="M0 0h4v4H0z"/><path fill="#000000" d="M1 0h1v4H1z"/></pattern>',
  "mesh": '<pattern id="mesh" patternUnits="userSpaceOnUse" width="8" height="8"><path fill="transparent" d="M0 0h8v8H0z"/><path d="M1 0h1v8H1V0ZM3 0h1v8H3V0ZM5 0h1v8H5V0ZM7 0h1v8H7V0Z" fill="#000000"/></pattern>',
  "pluses": '<pattern id="pluses" patternUnits="userSpaceOnUse" width="4" height="4"><g clip-path="url(#a)"><path fill="transparent" d="M0 0h4v4H0z"/><path d="M3 1v1H0V1h3Z" fill="#000000"/><path d="M1 0h1v3H1V0Z" fill="#000000"/></g><defs><clipPath id="a"><path fill="transparent" d="M0 0h4v4H0z"/></clipPath></defs></pattern>',
  "waves": '<pattern id="waves" patternUnits="userSpaceOnUse" width="4" height="4"><path fill="transparent" d="M0 0h4v4H0z"/><path d="M0 2h1v1H0V2ZM1 1h1v1H1V1ZM2 0h1v1H2V0ZM3 1h1v1H3V1Z" fill="#000000"/></pattern>',
  "big-waves": '<pattern id="big-waves" patternUnits="userSpaceOnUse" width="8" height="8"><path fill="transparent" d="M0 0h8v8H0z"/><path d="M0 3h1v1H0V3ZM1 2h1v1H1V2ZM2 1h1v1H2V1ZM3 0h1v1H3V0ZM4 1h1v1H4V1ZM5 2h1v1H5V2ZM6 3h1v1H6V3ZM7 4h1v1H7V4ZM7 0h1v1H7V0ZM0 7h1v1H0V7ZM1 6h1v1H1V6ZM2 5h1v1H2V5ZM3 4h1v1H3V4ZM4 5h1v1H4V5ZM5 6h1v1H5V6ZM6 7h1v1H6V7Z" fill="#000000"/></pattern>'
};

export {
  patternData
};
//# sourceMappingURL=ids-chunk-LH56MTQA-full.js.map
