/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/utils/ids-breakpoint-utils/ids-breakpoint-utils.ts
var breakpoints = {
  xxl: "1440px",
  xl: "1280px",
  lg: "1024px",
  md: "840px",
  sm: "600px",
  xs: "360px"
};
function isWidthBelow(size) {
  const width = breakpoints[size];
  return window.matchMedia(`(max-width: ${width})`);
}
function isWidthAbove(size) {
  const width = breakpoints[size];
  return window.matchMedia(`(min-width: ${width})`);
}

export {
  breakpoints,
  isWidthBelow,
  isWidthAbove
};
//# sourceMappingURL=ids-chunk-OSCW7OSE-full.js.map
