/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/mixins/ids-scroll-effect-mixin/ids-scroll-effect-mixin.ts
var IdsScrollEffectMixin = (superclass) => class extends superclass {
  constructor(...args) {
    super(...args);
  }
  /**
   * @property {HTMLElement | null} scrollArea indicates the scroll element with (overflow: scroll)
   */
  scrollArea = void 0;
  connectedCallback() {
    super.connectedCallback?.();
    this.attachScrollEvents();
  }
  /**
   * Set up event listeners
   * @returns {void}
   */
  attachScrollEvents() {
    if (!this.scrollArea) return;
    this.removeScrollEvents();
    this.onEvent("scroll.effects-mixin", this.scrollArea, (e) => {
      const target = e.target;
      if (target.scrollTop > 0) {
        this.scrollArea?.classList.add("is-scrolling");
      } else {
        this.scrollArea?.classList.remove("is-scrolling");
      }
    });
  }
  /**
   * Remove the scroll event
   * @returns {void}
   */
  removeScrollEvents() {
    this.offEvent("scroll.effects-mixin", this.scrollArea);
  }
};
var ids_scroll_effect_mixin_default = IdsScrollEffectMixin;

export {
  ids_scroll_effect_mixin_default
};
//# sourceMappingURL=ids-chunk-TYRKMG7I-full.js.map
