/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/components/ids-module-nav/ids-module-nav-common.ts
var DISPLAY_MODE_TYPES = [false, "collapsed", "expanded"];
var DISPLAY_TEXT_TYPES = ["default", "tooltip", "hidden"];
var RESPONSIVE_BREAKPOINT = "md";
var isValidTextDisplay = (val) => DISPLAY_TEXT_TYPES.includes(val);
var checkItemOverflow = (elem) => {
  let clone;
  if (elem.container) {
    clone = elem.container.cloneNode(true);
    clone.innerHTML = `${elem.textContent}`;
  } else {
    clone = elem.cloneNode(true);
    clone.removeAttribute("overflow");
  }
  clone.style.display = "inline";
  clone.style.width = "auto";
  clone.style.flex = "0 0 auto";
  clone.style.visibility = "hidden";
  document.body.append(clone);
  let result = false;
  if (clone.offsetWidth > elem.offsetWidth) result = true;
  clone.remove();
  return result;
};

export {
  DISPLAY_MODE_TYPES,
  DISPLAY_TEXT_TYPES,
  RESPONSIVE_BREAKPOINT,
  isValidTextDisplay,
  checkItemOverflow
};
//# sourceMappingURL=ids-chunk-Y2AU2XZ6-full.js.map
