/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  camelCase,
  stringToBool
} from "./ids-chunk-REOQKPVR-full.js";

// src/components/ids-toast/ids-toast-shared.ts
var DEFAULTS = {
  // Slots default text
  closeButtonLabel: "Close",
  message: "(Content)",
  title: "(Title)",
  // Api default settings
  allowLink: false,
  audible: false,
  destroyOnComplete: true,
  draggable: false,
  position: "top-end",
  progressBar: true,
  savePosition: false,
  timeout: 6e3,
  uniqueId: null
};
var AUDIBLE_TIMEOUT = 100;
var ATTRIBUTE_MESSAGE_ID = "message-id";
var ATTRIBUTE_TOAST_DESTROY_ON_COMPLETE = "destroy-on-complete";
var TOAST_MESSAGE_CLASSES = { start: "effect-scale", end: "effect-scale-hide" };
var POSITIONS = ["bottom-end", "bottom-start", "top-end", "top-start"];
var EVENTS = {
  addMessage: "add-message",
  removeMessage: "remove-message",
  savePosition: "save-position",
  clearPosition: "clear-position",
  removeContainer: "remove-container",
  linkClicked: "link-clicked"
};
function id(uniqueId, suffix, prefix) {
  const defaults = { uniqueId: "", prefix: "ids-toast-container", suffix: "usersettings-position" };
  const hasValue = [uniqueId, suffix, prefix].some((x) => x !== void 0 && x !== null);
  let returnId = defaults.prefix;
  if (hasValue) {
    const use = (key, val) => val === void 0 || val === null ? defaults[key] : val;
    returnId = `${use("prefix", prefix)}-${use("uniqueId", uniqueId)}-${use("suffix", suffix)}`;
    returnId = returnId.replace(/--/g, "-").replace(/-$/g, "");
  }
  return returnId;
}
function messageId(uniqueId, idSegment) {
  return `${id(uniqueId, "message")}-${idSegment}`;
}
function slotVal(root, slotName) {
  const d = DEFAULTS;
  const html = (slot2) => slot2?.assignedNodes()[0]?.innerHTML;
  const slot = root?.querySelector(`slot[name="${slotName}"]`);
  return html(slot) || d[camelCase(slotName)];
}
function getBoolVal(elem, attr) {
  const value = elem?.getAttribute(attr);
  return value !== null ? stringToBool(value) : DEFAULTS[camelCase(attr)];
}
function isBool(val) {
  return val === true || val === "true" || val === false || val === "false";
}

export {
  DEFAULTS,
  AUDIBLE_TIMEOUT,
  ATTRIBUTE_MESSAGE_ID,
  ATTRIBUTE_TOAST_DESTROY_ON_COMPLETE,
  TOAST_MESSAGE_CLASSES,
  POSITIONS,
  EVENTS,
  id,
  messageId,
  slotVal,
  getBoolVal,
  isBool
};
//# sourceMappingURL=ids-chunk-ZLGPUTBB-full.js.map
