/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  ids_events_mixin_default
} from "./ids-chunk-KKFANICI-full.js";
import {
  IdsElement
} from "./ids-chunk-UTR2KJV7-full.js";
import {
  customElement
} from "./ids-chunk-J6MRYBBM-full.js";
import {
  attributes
} from "./ids-chunk-QQAXKC5H-full.js";
import {
  __decorateClass,
  __privateAdd,
  __privateMethod
} from "./ids-chunk-35FUK26K-full.js";

// src/components/ids-hierarchy/ids-hierarchy.ts
var _IdsHierarchy_instances, selectItem_fn;
var IdsHierarchy = class extends ids_events_mixin_default(IdsElement) {
  constructor() {
    super();
    __privateAdd(this, _IdsHierarchy_instances);
  }
  /**
   * ids-hierarchy `connectedCallback` implementation
   * @returns {void}
   */
  connectedCallback() {
    super.connectedCallback();
    __privateMethod(this, _IdsHierarchy_instances, selectItem_fn).call(this);
  }
  template() {
    return `<slot></slot>`;
  }
};
_IdsHierarchy_instances = new WeakSet();
/**
 * Selects the current hierarchy item
 * and deselects all other items
 * @private
 * @returns {void}
 */
selectItem_fn = function() {
  this.onEvent("itemselect", this, (e) => {
    e.stopPropagation();
    const items = this.querySelectorAll("ids-hierarchy-item");
    items.forEach((item) => {
      item.removeAttribute(attributes.SELECTED);
      item.setAttribute("aria-selected", false);
    });
    requestAnimationFrame(() => {
      e.target.setAttribute(attributes.SELECTED, true);
      e.target.setAttribute("aria-selected", true);
    });
  });
};
IdsHierarchy = __decorateClass([
  customElement("ids-hierarchy")
], IdsHierarchy);

export {
  IdsHierarchy
};
//# sourceMappingURL=ids-chunk-ZRMASEWV-full.js.map
