/**
 * IDS Global Functions / Instances / And Utils Exposed to the end user.
 */
import { IdsDeferred } from '../../utils/ids-deferred-utils/ids-deferred-utils';
import IdsLocale from '../ids-locale/ids-locale';
import IdsPersonalize from '../ids-personalize/ids-personalize';
declare global {
    interface Window {
        IdsGlobal: {
            locale?: IdsLocale;
            themeLoaded?: IdsDeferred;
            themeName?: string;
            themePath?: string;
            version?: string;
            personalize?: IdsPersonalize;
            customIconData?: object;
        };
    }
}
declare class IdsGlobal {
    /**
     *  Used to hold the single Locale instance
     * @returns {IdsLocale} the locale object
     */
    static getLocale(): IdsLocale;
    /**
     *  Used for a global theme event
     * @returns {IdsDeferred} the deferred object
     */
    static onThemeLoaded(): IdsDeferred;
    static get personalize(): IdsPersonalize;
    static get version(): string;
    static get themeName(): string;
    static set themeName(value: string);
    static get themePath(): string;
    static set themePath(value: string);
    static set customIconData(json: object | undefined);
    static get customIconData(): object | undefined;
}
export default IdsGlobal;
