import IdsElement from '../../core/ids-element';
/**
 * IDS Scroll Container
 * @type {IdsScrollContainer}
 * @inherits IdsElement
 */
export default class IdsScrollContainer extends IdsElement {
    constructor();
    static get attributes(): string[];
    template(): string;
    /**
     * Set the height of the element
     * @param {string | null} value The height value (e.g. '100px', '50%')
     */
    set height(value: string | null);
    /**
     * Get the current height
     * @returns {string | null} The height value
     */
    get height(): string | null;
    /**
     * Set the width of the element
     * @param {string | null} value The width value (e.g. '200px', '100%')
     */
    set width(value: string | null);
    /**
     * Get the current width
     * @returns {string | null} The width value
     */
    get width(): string | null;
}
