import IdsElement from '../../core/ids-element';
import type IdsListBoxOption from './ids-list-box-option';
import './ids-list-box-option';
/**
 * IDS List Box Component
 * @type {IdsListBox}
 * @inherits IdsElement
 */
export default class IdsListBox extends IdsElement {
    #private;
    constructor();
    /**
     * Return the attributes we handle as getters/setters
     * @returns {Array} The attributes in an array
     */
    static get attributes(): string[];
    connectedCallback(): void;
    /**
     * Create the Template for the contents
     * @returns {string} The template
     */
    template(): string;
    /**
     * Get list of options
     * @returns {IdsListBoxOption[]} ids-list-box-option child elements
     */
    get options(): IdsListBoxOption[];
    get optionsSorted(): IdsListBoxOption[];
    /**
     * @returns {string | null} The max height value
     */
    get maxHeight(): string | null;
    /**
     * Set the max height value
     * @param {string | number | null} value The value
     */
    set maxHeight(value: string | number | null);
    /**
     * Sets the disabled attribute
     * @param {string|boolean} value string value from the disabled attribute
     */
    set disabled(value: boolean);
    /**
     * Get the disabled on the list-box-option
     */
    get disabled(): boolean;
}
