import IdsElement from '../../core/ids-element';
import '../ids-image/ids-image';
export declare enum IdsMediaType {
    Video = "video",
    Image = "image"
}
/**
 * IDS media viewer component
 * @type {IdsMediaViewer}
 * @inherits IdsElement
 * @part viewer - the viewer container element
 */
export default class IdsMediaViewer extends IdsElement {
    #private;
    constructor();
    /**
     * Invoked each time the custom element is appended into a document-connected element.
     */
    connectedCallback(): void;
    /**
     * Return the attributes we handle as getters/setters
     * @returns {Array} The attributes in an array
     */
    static get attributes(): Array<string>;
    /**
     * Create the Template for the contents
     * @returns {string} The template
     */
    template(): string;
    /**
     * Set the type of media between image or video
     * @param {string} value Trend label text
     */
    set type(value: string);
    get type(): string;
    /**
     * Set the src url of the image
     * @param {string} value src url
     */
    set src(value: string);
    get src(): string;
    /**
     * Set the alt text of the image or video
     * @param {string} value of alt text
     */
    set alt(value: string);
    get alt(): string;
}
