/**
 * Controls the visible state of the Module Nav component.
 * In some cases this also has affects on child components and event handling
 */
export type IdsModuleNavDisplayMode = false | 'collapsed' | 'expanded';
export declare const DISPLAY_MODE_TYPES: (string | boolean)[];
export type IdsAccordionTextDisplay = ['default', 'tooltip', 'hidden'];
export declare const DISPLAY_TEXT_TYPES: string[];
export declare const RESPONSIVE_BREAKPOINT = "md";
/**
 * @param {string} val incoming text display type
 * @returns {boolean} true if the text display is valid
 */
export declare const isValidTextDisplay: (val: string) => boolean;
/**
 * Checks overflow of an element by cloning/appending to body
 * @param {any} elem Element to check
 * @returns {boolean} if the element is overflowed
 */
export declare const checkItemOverflow: (elem: any) => boolean;
