/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  getClosestRootNode
} from "../../chunks/ids-chunk-LQYSVESW-full.js";
import "../../chunks/ids-chunk-35FUK26K-full.js";

// src/components/ids-tabs/ids-sub-tab-attributes.ts
var SUB_TABS_SELECT_TYPES = [
  "none",
  "single",
  "multiple"
];
var SUB_TABS_DEFAULTS = {
  disabled: false,
  icon: null,
  selected: false,
  shortcutKeys: null,
  submenu: null,
  tabIndex: 0,
  value: null
};
function safeForAttribute(value) {
  return value !== null && ["string", "number", "boolean"].includes(typeof value);
}
function isValidGroup(subTabGroup, idsSubTab) {
  let hasGroup;
  const isGroup = subTabGroup !== void 0 && subTabGroup.nodeName === "IDS-SUB-TABS";
  idsSubTab.groups.forEach((group) => {
    if (isGroup && group.isEqualNode(subTabGroup) || group?.id === subTabGroup) {
      hasGroup = group;
    }
  });
  return hasGroup;
}
function isUsableItem(item, IdsSubTab) {
  const isItem = item?.nodeName === "IDS-SUB-TAB";
  if (!isItem) {
    return false;
  }
  const menuHasItem = IdsSubTab.contains(item);
  const closestItemRoot = getClosestRootNode(item.assignedSlot);
  const itemInMenuShadow = closestItemRoot?.menu?.isEqualNode(IdsSubTab);
  return (itemInMenuShadow || menuHasItem) && !item.disabled;
}
export {
  SUB_TABS_DEFAULTS,
  SUB_TABS_SELECT_TYPES,
  isUsableItem,
  isValidGroup,
  safeForAttribute
};
//# sourceMappingURL=ids-sub-tab-attributes.js.map
