export type TimeParts = {
    hours: number;
    minutes: number;
    seconds: number;
    period: string;
};
export declare const IdsTimePickerCommonAttributes: string[];
export declare const IdsTimePickerMixinAttributes: string[];
export declare const range: any;
/**
 * Constructs a time string from time parts based on the specified format
 * @param {TimeParts} timeParts - Object containing hours, minutes, seconds and period
 * @param {string} format - The desired time format (e.g., 'HH:mm', 'hh:mm a')
 * @returns {string} Formatted time string
 */
export declare const constructTimeString: (timeParts: TimeParts, format: string) => string;
/**
 * Parses a time string according to a specified format and returns time components
 * @param {string|null} timeOnField - The time string to parse (e.g., "10:30 AM")
 * @param {string} format - The format string specifying the time format (e.g., "HH:mm a")
 * @returns {TimeParts} An object containing parsed time components:
 */
export declare const parseTimeFromFormat: (timeOnField: string | null, format: string) => TimeParts;
