/**
 * Checks if the given value can be parsed into a valid integer and meets optional constraints
 * @param {string | number | null | undefined} value - The value to check
 * @param {object} [options] - Optional constraints
 * @param {number} [options.min] - Minimum value (inclusive)
 * @param {number} [options.max] - Maximum value (inclusive)
 * @returns {boolean} True if the value is a valid integer meeting all constraints
 */
export declare const isValidInteger: (value: string | number | null | undefined, options?: {
    min?: number;
    max?: number;
}) => boolean;
